This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 818187 - ovirt-engine-backend: after running vm as stateless we can no longer run the vm - both stateless in vm properties and in run-once
ovirt-engine-backend: after running vm as stateless we can no longer run the ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Eli Mesika
Dafna Ron
virt
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 08:09 EDT by Dafna Ron
Modified: 2015-09-22 09 EDT (History)
10 users (show)

See Also:
Fixed In Version: SI4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (18.28 KB, application/x-xz)
2012-05-02 08:09 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-05-02 08:09:31 EDT
Created attachment 581592 [details]
log

Description of problem:

I created a vm as stateless vm. after running it once as stateless I removed the stateless tag and tried to run the vm normally - the vm failed to run with NPE. 
a second test, I marked the vm as stateless again and tried to run it, the stateless snapshot cannot be created for the vm so it can no longer run at all. 

tested for both stateless in vm properties and in run-once. 
once stateless is run the vm can no longer be used.  

Version-Release number of selected component (if applicable):

si2.1

How reproducible:

100%

Steps to Reproduce:
1. create and run a stateless vm
2. stop the vm and remove the stateless tag
3. try to run the vm again
4. mark vm as stateless again 
5. try to run the vm
  
Actual results:

once removing the stateless tag from vm, we can no longer run the vm 


Expected results:

we should be able to run the vm

Additional info: log


2012-05-02 14:45:54,468 ERROR [org.ovirt.engine.core.vdsbroker.CreateVmVDSCommand] (pool-10-thread-41) [1147d5ae] Error in excuting CreateVmVDSCommand: java.lang.NullPointerExce
ption
        at org.ovirt.engine.core.vdsbroker.vdsbroker.VmInfoBuilder.buildVmNetworkInterfaces(VmInfoBuilder.java:246) [vdsbroker-3.1.0-0001.jar:]
        at org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVDSCommand.buildVmData(CreateVDSCommand.java:63) [vdsbroker-3.1.0-0001.jar:]
        at org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVDSCommand.ExecuteVdsBrokerCommand(CreateVDSCommand.java:21) [vdsbroker-3.1.0-0001.jar:]
        at org.ovirt.engine.core.vdsbroker.vdsbroker.VdsBrokerCommand.ExecuteVDSCommand(VdsBrokerCommand.java:75) [vdsbroker-3.1.0-0001.jar:]
        at org.ovirt.engine.core.vdsbroker.VDSCommandBase.ExecuteCommand(VDSCommandBase.java:60) [vdsbroker-3.1.0-0001.jar:]
        at org.ovirt.engine.core.dal.VdcCommandBase.Execute(VdcCommandBase.java:41) [engine-dal.jar:]
        at org.ovirt.engine.core.vdsbroker.CreateVmVDSCommand.ExecuteVdsIdCommand(CreateVmVDSCommand.java:70) [vdsbroker-3.1.0-0001.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsIdVDSCommandBase.ExecuteVDSCommand(VdsIdVDSCommandBase.java:40) [vdsbroker-3.1.0-0001.jar:]
        at org.ovirt.engine.core.vdsbroker.VDSCommandBase.ExecuteCommand(VDSCommandBase.java:60) [vdsbroker-3.1.0-0001.jar:]
        at org.ovirt.engine.core.dal.VdcCommandBase.Execute(VdcCommandBase.java:41) [engine-dal.jar:]
        at org.ovirt.engine.core.vdsbroker.ResourceManager.runVdsCommand(ResourceManager.java:407) [vdsbroker-3.1.0-0001.jar:]
        at org.ovirt.engine.core.vdsbroker.proxy.ResourceManagerProxy.runVdsCommand(ResourceManagerProxy.java:24) [engine-vdsbroker.jar:]
        at sun.reflect.GeneratedMethodAccessor115.invoke(Unknown Source) [:1.6.0_24]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.6.0_24]
        at java.lang.reflect.Method.invoke(Method.java:616) [rt.jar:1.6.0_24]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee.jar:7.1.1.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:36) [jboss-as-ee.jar:7.1.1.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.jpa.interceptor.SBInvocationInterceptor.processInvocation(SBInvocationInterceptor.java:47)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:53) [jboss-as-ee.jar:7.1.1.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.as.ejb3.component.pool.PooledInstanceInterceptor.processInvocation(PooledInstanceInterceptor.java:51) [jboss-as-ejb3.jar:7.1.1.Final-redhat-1]
:
Comment 1 Eli Mesika 2012-05-06 06:15:25 EDT
http://gerrit.ovirt.org/#change,4153
Comment 3 Dafna Ron 2012-06-05 05:18:59 EDT
verified on si4

Note You need to log in before you can comment on or make changes to this bug.